Bug 512709 - virt-inspector gives incorrect '-a' parameter for guests
virt-inspector gives incorrect '-a' parameter for guests
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-20 09:51 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:43:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-07-20 09:51:35 EDT
# ./inspector/run-inspector-locally --ro-fish RHEL54Betax64
--ro -a RHEL54Betax64 -m /dev/VolGroup00/LogVol00:/ -m /dev/sda1:/boot 
        ^^^^^^^^^^^^^

Note this parameter is totally incorrect.

This is the <disk> block for this guest:

    <disk type='block' device='disk'>
      <source dev='/dev/vg_trick/RHEL54Betax64'/>
      <target dev='hda' bus='ide'/>
    </disk>

so the correct parameter should be -a /dev/vg_trick/RHEL54Betax64
Comment 1 Richard W.M. Jones 2009-07-20 10:15:26 EDT
Patch posted:
https://www.redhat.com/archives/libguestfs/2009-July/msg00054.html
Comment 2 Fedora Update System 2009-07-23 11:12:19 EDT
libguestfs-1.0.64-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-2.el5
Comment 3 Fedora Update System 2009-07-27 10:45:22 EDT
libguestfs-1.0.64-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.64-3.el5
Comment 4 Fedora Update System 2009-07-29 13:00:59 EDT
libguestfs-1.0.65-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.65-2.el5
Comment 5 Fedora Update System 2009-08-07 04:34:19 EDT
libguestfs-1.0.66-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.66-4.el5
Comment 6 Fedora Update System 2009-08-14 05:14:01 EDT
libguestfs-1.0.67-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.67-1.el5
Comment 7 Fedora Update System 2009-08-17 20:22:58 EDT
libguestfs-1.0.65-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-08-19 17:55:31 EDT
libguestfs-1.0.68-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.0.68-5.el5
Comment 9 Fedora Update System 2009-09-08 18:59:39 EDT
libguestfs-1.0.68-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Richard W.M. Jones 2010-03-27 06:43:25 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.